declare module "ManagerRequests" {
    export interface OrdersRequestBody {
        pagination: OrdersReqBodyPagination
        date: BodyDate
        search: BodySearch
        status: BodyStatus
    }

    export interface BodyPagination {
        page: number
        size: number
    }

    export enum BodyFilter {
        ORDER_CREATED_AT = 'orderCreatedAt',
        ORDER_UPDATED_AT = 'orderUpdatedAt'
    }

    export interface BodyDate {
        start: number | null
        end: number | null
        filter?: BodyFilter | null
    }

    export enum BodySearchFields {
        ID = 'id', 
        CUSTOMER_EMAIL_ADDRESS = 'customerEmailAddress', 
        ORDER_TRACKING_CODE = 'orderTrackingCode'
    }

    export interface BodySearch {
        by: any // Fix
        query?: string
    }

    export enum OrderStatus {
        RECEIVED = 'received',
        FULFILLED = 'fulfilled',
        CANCELLED = 'cancelled'
    }

    export interface OrdersReqBodyStatus {
        [OrderStatus.RECEIVED]: boolean
        [OrderStatus.FULFILLED]: boolean
        [OrderStatus.CANCELLED]: boolean
    }
}